Bug 119377 - No warning when source file newer than executable
No warning when source file newer than executable
Status: CLOSED UPSTREAM
Product: Red Hat Developer Suite
Classification: Retired
Component: CDT (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-29 17:35 EST by Keith Seitz
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 11:46:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Seitz 2004-03-29 17:35:11 EST
Description of problem:
The CDT debug ui does not give any warnings when debugging a source
file which is newer than the executable.

Version-Release number of selected component (if applicable):
20040329 nightly

How reproducible:
Every time

Steps to Reproduce:
1. Build C/C++ project
2. Modify a source file by adding a few blank lines between two
executable lines of code
3. Save file but do not rebuild project
4. Set breakpoint at first of the executable lines
5. Step
  
Actual results:
Shows file at blank executable line

Expected results:
Warning that source file is newer than executable

Additional info:
Perhaps this is just related to 119367 (no rebuild on resource
modification), but the debug ui should be able to cope with this.
Comment 1 Tom Tromey 2005-09-28 11:46:16 EDT
Closing old bug; either fixed or should be reported upstream.

Note You need to log in before you can comment on or make changes to this bug.